Index Page expool_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void expool_c ( ConstSpiceChar  * name,
                       SpiceBoolean    * found )
#### Abstract
       Confirm the existence of a kernel variable in the kernel
       pool.
#### Required_Reading
       KERNEL
#### Keywords
       CONSTANTS
       FILES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       name       I   Name of the variable whose value is to be returned.
       found      O   True when the variable is in the pool.
#### Detailed_Input
       name       is the name of the variable whose values are to be
                  returned.
#### Detailed_Output
       found      is true whenever the specified variable is included
                  in the pool.
#### Parameters
       None.
#### Exceptions
       1) If the input string pointer is null, the error SPICE(NULLPOINTER)
          will be signaled.

       2) If the input string has length zero, the error SPICE(EMPTYSTRING)
          will be signaled
#### Files
       None.
#### Particulars
       This routine determines whether or not a numeric kernel pool
       variable exists.  It does not detect the existence of
       string valued kernel pool variables.

       A better routine for determining the existence of kernel pool
       variables is  dtpool_ which determines the
       existence, size and type of kernel pool variables.
#### Examples
       expool_c (  "BODY399_RADII", &found  );

        if ( found )
           {
            printf(  "BODY399_RADII is present in the kernel pool\n");
           }

       See bodfnd_c.
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       I.M. Underwood  (JPL)
       E.D. Wright     (JPL)
#### Version
       -CSPICE Version 1.2.0 22-JUN-1999   (EDW)

          Added local variable to return boolean/logical values.  This
          fix allows the routine to function if int and long are different
          sizes.

       -CSPICE Version 1.1.0, 08-FEB-1998 (NJB)

          Re-implemented routine without dynamically allocated, temporary
          strings.

       -CSPICE Version 1.0.0, 25-OCT-1997   (EDW)
#### Index_Entries
       CONFIRM the existence of a pooled kernel variable
#### Link to routine expool_c source file expool_c.c

    Wed Jun  9 13:05:23 2010